Copyright: ChkList Copyright DameWare Development 1995-1998
Citation: DameWare Development 1995-1998


 ChkList Help Index

Properties	Methods	Events

ChkList Custom Control

Description:

DameWare CheckList OCX is a 32bit “Check” List-Box custom control for use with Visual Basic, Visual C++, web pages or any environment that can host the ActiveX controls. Offering many customizable properties (fonts, colors, 3D, etc.), it is very end-user friendly versus the old multiple select list-box. Easy to use with configurable options, event notification and many “method” functions.

Registration:

How to register

Registration Form

What do I get when I register

License

Installation

Using in a Web page

Problems loading and using CheckList

Copyright

Versions


Help HICD_DATE_FORMAT

No help is available for this area of the window.


No Help Available

No help is available for this area of the window.


No Help Available

No help is available for this message box.

<< If you wish to author help specific to each message box prompt, then remove the AFX_HIDP_xxx values from the [ALIAS] section of your .HPJ file, and author a topic for each AFX_HIDP_xxx value.  For example, AFX_HIDP_INVALID_FILENAME is the help topic for the Invalid Filename message box. >>


Displays version of CheckList, CheckList help
Version

ChkList Version 1,4,0,1 - ChkList.ocx

ChkList Help Version 2.0 - ChkList.HLP


Displays appropriate Copyright notices
Copyright

Copyright© 1998 DameWare Development

Portions of this product are Copyrighted (c) 1991-1998 by Microsoft Corporation.

All rights are reserved. All  Microsoft Corporation disclaimers apply.

ChkList is a trademark of DameWare Development.

Microsoft Windows is a registered trademark of Microsoft Corporation.


Displays Properties
Properties

All the properties are listed below. Properties that apply only to

ChkList, or require special consideration when used with it,

are underlined. They are documented in this help file. See the

Visual Basic Language Reference or online Help for

documentation of the remaining properties.

(About)	Appearance
BorderColor	BorderStyle
Caption	Columns
CheckBackColor	DragIcon
DragMode	Enabled
Font	Height
HelpContextId	Hwnd
Index	Left
MouseIcon	MousePointer
Parent	Sort
TabIndex	TabStop
Tag	Top
Visible	Width


Change the Back Color
BackColor Property

Properties	Methods	Events

Description

BackColor is controlled by the system color in this OCX.

Syntax

Data Type

See Also


Enable or disable the border
BorderStyle Property

Properties	Methods	Events

Description

BorderStyle enables or disables drawing a border around the control.

Syntax

Data Type

See Also


Enable or disable the context menu
CheckBackColor Property

Properties	Methods	Events

Description

CheckBackColor sets or retrieves the background color for the check boxes.

Syntax

ChkList1.ContextMenu [ =  {True | False}]

Data Type

Integer (Boolean)

See Also


Set Columns
Columns Property

Properties	Methods	Events

Description

Columns Returns or sets a value that determines whether a ChkList control scrolls vertically or horizontally and how the items in the columns are displayed.  If it scrolls horizontally, the Columns property determines how many columns are displayed.

Syntax

ChkList1. Columns [ = number]

default = 0

Data Type

Integer

Note

For horizontal-scrolling ChkList controls, the column width is equal to the width of the ChkList divided by the number of columns.

This property can't be set to 0 or changed from 0 at run ChkList is, you can't change a multiple-column ChkList to a single-column ChkList or a single-column ChkList to a multiple-column ChkList at run time.  However, you can change the number of columns in a multiple-column ChkList at run time.

See Also


Enable or disable comments
Sort Property

Properties	Methods	Events

Description

Sort enables or disables sorting of the item in the “check” list-box.

Syntax

Note:

Available at design time only

Data Type

See Also


Displays Methods
Methods

All the methods are listed below. Methods that apply only to

ChkList, or require special consideration when used

with it, are underlined. They are documented in this help file.

See the Visual Basic Language Reference or online Help for

documentation of the remaining events.

About

DoClick

AddString

AddStringCheck

CheckAll

CheckItem

Clear

DeleteItem

FindString

FindStringExact

GetCount

GetString

GetCurSel

IsChecked

SelectItem

SelectString

SetCheckState

UnCheckAll

Move

SetFocus

Refresh


Add String
AddString Method

Properties	Methods	Events

Description

AddString Adds a string item to the “check” list-box.

Syntax

ChkList1.AddString [ = String]

Data Type

Integer (Boolean)

Example

Private Sub Command1_Click()

ChkList1.AddString (“Text to add to List”)

End Sub

See Also


Adds String and checks it
AddStringCheck Method

Properties	Methods	Events

Description

AddStringCheck Adds a string item to the “check” list-box and checks the added item.

Syntax

ChkList1.AddStringCheck [ = String, index]

Data Type

Integer (Boolean)

Example

Private Sub Command1_Click()

ChkList1.AddString (“Text to add to List”, True)

End Sub

See Also


Set  the checked state of all item to true.
CheckAll Method

Properties	Methods	Events

Description

CheckAll Sets the checked state of all item in the “check” list-box to true.

Syntax

ChkList1.CheckAll

Data Type

Integer (Boolean)

Example

Private Sub Command1_Click()

ChkList1.CheckAll

End If

End Sub

See Also


Toggle the checked state of an item.
CheckItem Method

Properties	Methods	Events

Description

CheckItem Toggles the checked state of an item in the “check” list-box.

Syntax

ChkList1.CheckItem [ = index]

Data Type

Integer (Boolean)

Example

Private Sub Command1_Click()

If ChkList1.IsChecked(index) = False Then

ChkList1.CheckItem(index)

End If

End Sub

See Also


Deletes all items in the "check" list-box
Clear Method

Properties	Methods	Events

Description

Clear - Deletes all items in the “check” list-box.

Syntax

ChkList1.Clear

Data Type

Integer (Boolean)

Example

Private Sub Command1_Click()

ChkList1.Clear

End Sub

See Also


Deletes a single item
DeleteItem Method

Properties	Methods	Events

Description

DeleteItem Deletes a single item in the “check” list-box.

Syntax

ChkList1.DeleteItem [ =  index]

Data Type

Integer (Boolean)

Example

If ChkList1.IsChecked(index) = False Then

ChkList1.DeleteItem index

End If

See Also


Finds a string in the "check" list-box.
FindString Method

Properties	Methods	Events

Description

FindString Finds the first string in a checklist box that contains the specified prefix without changing the checklist-box selection.

Syntax

ChkList1.FindString [ =  String]

Data Type

Integer (Boolean)

Example

ChkList1.AddString (Text1.Text)

See Also


Finds a string in the "check" list-box.
FindStringExact Method

Properties	Methods	Events

Description

FindStringExact Finds the first “check” list-box string that matches the string specified.

Syntax

ChkList1. FindStringExact [ = String]

Data Type

Integer (Boolean)

Example

ChkList1.AddStringExact (Text1.Text)

See Also


Retrieves the number of items in a "check" list-box.
GetCount Method

Properties	Methods	Events

Description

GetCount Retrieves the number of items in a “check” list-box.

Note:

The index is zero-based.

Syntax

ChkList1.GetCount

Data Type

Integer

Example

Count = ChkList1.GetCount

For index = 0 To Count

If ChkList1.IsChecked(index) = True Then

string = ChkList1.GetString(index)

End If

Next index

See Also


Retrieves a string from the "check" list-box.
GetString Method

Properties	Methods	Events

Description

GetString Retrieves a string from the “check” list-box.

Syntax

ChkList1.GetString [ = index]

Data Type

Integer (Boolean)

Example

string = ChkList1.GetString (index)

See Also


Retrieves the index of the current selected item from the "check" list-box.
GetCurSel Method

Properties	Methods	Events

Description

GetString Retrieves a string from the “check” list-box.

Syntax

ChkList1.GetCurSel

Note:

return value is negative (-1) if an error occurs

Data Type

Integer

Example

index = ChkList1.GetCurSel

See Also


Retrieves the checked state of an item.
IsChecked Method

Properties	Methods	Events

Description

IsChecked Retrieves the checked state of an item in the “check” list-box.

Syntax

ChkList1.IsChecked [ = index]

Data Type

Integer (Boolean)

See Also


Selects an item.
SelectItem Method

Properties	Methods	Events

Description

SelectItem Selects a string and scrolls it into view, if necessary, of an item in the “check” list-box.

Syntax

ChkList1.SelectItem [ = index]

Data Type

Integer (Boolean)

See Also


Selects a string.
SelectString Method

Properties	Methods	Events

Description

SelectString Finds and selects a string and scrolls it into view, if necessary, of an item in the “check” list-box.

Syntax

ChkList1.SelectString [ = String]

Data Type

Integer (Boolean)

See Also


Sets the checked state of an item.
SetCheckState Method

Properties	Methods	Events

Description

CheckItem Sets the checked state of an item in the “check” list-box.

Syntax

ChkList1.SetCheckState [ = index, = TRUE|FALSE]

Data Type

Integer (Boolean)

Example

Private Sub Command1_Click()

ChkList1.SetCheckState(index, FALSE)

End If

End Sub

See Also


Set  the checked state of all item to false.
UnCheckAll Method

Properties	Methods	Events

Description

CheckAll Sets the checked state of all item in the “check” list-box to false.

Syntax

ChkList1.UnCheckAll

Data Type

Integer (Boolean)

Example

Private Sub Command1_Click()

ChkList1.UnCheckAll

End If

End Sub

See Also


Displays events.
Events

All the events are listed below. Events that apply only to

ChkList, or require special consideration when used

with it, are underlined. They are documented in this help file.

See the Visual Basic Language Reference or online Help for

documentation of the remaining events.

FireCheckChanged(index);

CheckChanged

Click

DblClick

DragDrop

DragOver

GotFocus

KeyDown

KeyPress

KeyUp

LostFocus

MouseDown

MouseMove

MouseUp

SelectionChanged


Selection changed
SelectionChanged Event

Properties	Methods	Events

Description

SelectionChanged Notifies that the user changed the selection.

Syntax

Private Sub ChkList1_SelectionChanged(ByVal Index As Integer)

Data Type

String

Example

Private Sub ChkList1_SelectionChanged(ByVal Index As Integer)

Text1.Text = ChkList1.GetString(Index)

End Sub

See Also


Selection changed
CheckChanged Event

Properties	Methods	Events

Description

CheckChanged Notifies that the user changed the check box state.

Syntax

Private Sub ChkList1_CheckChanged(ByVal Index As Integer)

Data Type

String

Example

Private Sub ChkList1_CheckChanged(ByVal Index As Integer)

Text1.Text = ChkList1.GetString(Index)

End Sub

See Also


Credit card orders
Installation

DameWare ChkList is distributed with a self-extracting installation wizard file - ChkListW.exe.  Once executed, ChkListW.exe will install the ChkList components into a directory of your choosing (c:\Program Files\DameWare\ChkList\ by default), and register the ChkList.ocx component into the Windows system registry.

The following is a list of the files installed during the installation wizard process:

ChkList.OCX	32-bit ActiveX OCX Control

ChkList.HLP	On-line documentation

ChkList.CNT	Contents file for On-line documentation

ChkList.EXE	ChkList VB sample executable

ChkList.FRM	ChkList VB sample form

ChkList.VBP	ChkList VB sample project file

History.TXT	ChkList change history file

Once you have registered the ChkList component, you will receive the following license files:

ChkList.LIC	License file (if you have a registered version)

ChkList.LPK	License file for web pages (if you have a registered version)

Distribution Note:

When you create and distribute applications that use ChkList, you can install the appropriate file in the customer's Microsoft Windows \SYSTEM subdirectory, or any specific directory as long as the component is registered to that subdirectory.

Note: You are not allowed to distribute the ChkList.LIC or ChkList.lpk license files with any application that you distribute.


How To Register

For added convenience, you may register CheckList in any of the following ways:

•	Visit our Web Site and order online with your Visa, MasterCard or Discover credit card at:  http://www.dameware.com/northstar.htm.

•	You may fax the form with your information to us at (504) 626-1189 or you may contact us at 504-626-7545.  (For quantity pricing, please contact DameWare Development.)  Or you may complete the order form and send it with a check or money order to:

DAMEWARE DEVELOPMENT

1024 Live Oak Loop

Mandeville, LA  70048


What do I get when I register?
What do I get when I register

There are no limitations in this shareware release, but you may encounter a "nag" screen from time to time.  Upon registration the "nag" screen will be removed. The product will be registered in your name and you will receive the latest version.  It's a small price to pay for your peace of mind.  You may also wish to check for the latest versions of our programs which you have rights to use as a registered user.  Our Web Home Page address is:  http://www.dameware.com.


Credit card orders
License Agreement

CheckList is not public domain or free software.

CheckList is copyrighted, and all rights are reserved by DameWare Development.

Licensing:

1. shareware version

You may use the shareware version of CheckList for up to 30 days in your design environment for evaluation purposes only. You may copy and distribute it freely as long as all the files in the package, including the demo programs are distributed with it and no changes or additions of any kind are made to the original package.

2. registered version

As a registered user, you can use CheckList in your design environment and you have a royalty-free right to distribute executables that use CheckList as a runtime component. Only registered users can distribute executables using CheckList.

You may copy the software to facilitate your use of it on as many computers as there are licensed users specified in the license file. Making copies for any other purpose violates international copyright laws. In particular, you are prohibited from distributing a registered version of CheckList, except as a runtime component of one of your applications.

The license file allows you to compile your applications with CheckList. You are not allowed to distribute the ChkList.LIC or ChkList.LPK license files with any application that you distribute.

Disclaimer of Warranty:

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS"  WITHOUT WARRANTY OF ANY KIND EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it.

The user must assume the entire risk of using the program.

Your use of this product indicates that you have read and agreed to these terms.


Registration Form

CheckList Registration and Order Form  CAFChkList20

___________________________________________________

To place your order, fax us at (504) 626-1189 or send this form to:

DAMEWARE DEVELOPMENT

1024 Live Oak Loop

Mandeville, La.  70448

Name:	________________________________________________________
Company Name:	________________________________________________________
Address:	________________________________________________________
	________________________________________________________
	________________________________________________________
	________________________________________________________
Phone:	Day time:_______________________Eve:______________________
Electronic Mail:	_________________________
ChkList	_____@ $19.95 ea	$________________________
Shipping and Handling	$ 3.00	$________________________
Total		$________________________
PLEASE NOTE:  We accept cash, checks and money orders. We do not accept unsolicited POs or overseas checks not drawn on American banks.  Overseas orders please include an additional $5.00 USD for S & H

.


Problems using the control
Problems

Problems loading and using this OCX:

The most common problems using OCXs built with Microsoft’s Visual C++ 4.0 or greater are  incorrect versions of some of the VB4 runtime libs. PSS ( Microsoft Premier Support Service) has confirmed this to be a problem.  This only affects controls linked with the newer version of these libraries.

The libraries in question are listed in the VB4 SWDEPEND.INI:

MFC40.DLL 	version 4.0.5277

OLEPRO32.DLL	version 4.0.5277

MSVCRT40.DLL	version 4.00.5277

The libraries shipped with Visual Basic 4.0 are dated 8/95. At this time, the known good libraries are dated 9/95 and 2/96.

These libraries can be obtained many ways such as on the VB conference on CompuServe and also on our web site at http://www.dameware.com.


WEB Page design
Using in WEB Page

ChkList ActiveX control can easily be used in a Web Page.  The following is a simple example.  You may also wish to visit sites such as Microsoft at (http://www.microsoft.com/workshop) or DameWare Development’s home page at (http://www.dameware.com).

<HTML>

<HEAD>

<TITLE>DameWare Development ChkList ActiveX Control</TITLE>

<OBJECT CLASSID="clsid:5220cb21-c88d-11cf-b347-00aa00a28331"

>

<PARAM NAME="LPKPath" VALUE="dameware.lpk">

<EMBED SRC="dameware.lpk">

</OBJECT>

</HEAD>

<BODY Language="VBScript" onLoad="RunIt">

<P ALIGN="CENTER">

<OBJECT

id=ChkList

type="application/x-oleobject"

classid="clsid:D1D71993-5C1B-11CF-8E84-00AA006DB209"

CODEBASE="http://www.dameware.com/bin/ChkList.ocx#Version=1,4,0,1"

width=200

height=180

>

<PARAM NAME="BorderStyle" value=1>

<PARAM NAME="Appearence" value=1>

<PARAM NAME="Columns" value=0>

</OBJECT>

<P ALIGN="LEFT">

Text to add

<INPUT TYPE=TEXT VALUE="" NAME="TextToAdd">

<BR>

<BR>

<INPUT TYPE=BUTTON VALUE="Properties" NAME="BtnProperties">

<INPUT TYPE=BUTTON VALUE="Add Line Checked" NAME="BtnAddLineChecked">

<INPUT TYPE=BUTTON VALUE="Add Line UnChecked" NAME="BtnAddLineUnChecked">

<INPUT TYPE=BUTTON VALUE="Checked All" NAME="BtnCheckedAll">

<INPUT TYPE=BUTTON VALUE="UnChecked All" NAME="BtnUnCheckedAll">

<SCRIPT LANGUAGE="VBSCRIPT">

Sub RunIt

For i = 0 To 25

ChkList.AddStringCheck "Test Line " + Chr(90 - i), True

Next

End Sub

Sub BtnProperties_OnClick

ChkList.DisplayProperties()

End Sub

Sub BtnAddLineChecked_OnClick

If TextToAdd.Value	= "" Then

alert "Empty string?" +  Chr(13) +  Chr(13) +"Type some text in the edit box."

else

ChkList.AddStringCheck TextToAdd.Value, True

End If

End Sub

Sub BtnAddLineUnChecked_OnClick

If TextToAdd.Value	= "" Then

alert "Empty string?" +  Chr(13) +  Chr(13) +"Type some text in the edit box."

else

ChkList.AddStringCheck TextToAdd.Value, False

End If

End Sub

Sub BtnCheckedAll_OnClick

ChkList.CheckAll()

End Sub

Sub BtnUnCheckedAll_OnClick

ChkList.UnCheckAll()

End Sub

</SCRIPT>

</BODY>

</HTML>